Create Voice
POST
/v1/voices
const url = 'https://example.com/v1/voices';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","gender":"example","referenceAudioBase64":"example","referenceTranscript":"example","languages":["example"],"vibeTags":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/voices \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "gender": "example", "referenceAudioBase64": "example", "referenceTranscript": "example", "languages": [ "example" ], "vibeTags": [ "example" ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CreateVoiceRequest
object
name
required
Name
string
gender
required
Gender
One of: male, female, neutral
string
referenceAudioBase64
required
Referenceaudiobase64
Reference clone audio, base64-encoded WAV
string
referenceTranscript
required
Referencetranscript
Exact transcript spoken in the reference audio
string
languages
Languages
Array<string>
vibeTags
Vibetags
Array<string>
Examplegenerated
{ "name": "example", "gender": "example", "referenceAudioBase64": "example", "referenceTranscript": "example", "languages": [ "example" ], "vibeTags": [ "example" ]}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
VoiceResponse
object
Examplegenerated
{ "id": "example", "name": "example", "provider": "example", "gender": "example", "supportedLanguages": [ "example" ], "vibeTags": [ "example" ], "isCustom": true, "isDefault": true, "sampleAudioUrl": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}